Skip to main content

Prepare task creation

POST
/ai/gateway/tasks/create/prepare

Contract

Parameter
Value
Sectionai-gateway
AuthenticationAIKeyAuth
Consumesapplication/json
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
requestbodyyesobjecttask (a task object or { task: {...} }), idempotencyKey, ttlSeconds, schemaHash
  • {}

Responses

6 responses

Status
Description
Type
200
Successful responseobject
400
Invalid task draftobject
401
API key is missing or invalidobject
403
Insufficient permissionsobject
409
Idempotency key has already been used for another requestobject
500
Internal server errorobject
  • {
      "cursor": {
        "count": 0,
        "currentPage": 0,
        "totalPages": 0,
        "totalRows": 0
      },
      "data": {}
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }